org.bdgenomics.adam.rdd.variant

# DatasetBoundGenotypeRDD

###
Related Doc: package variant

#### case class DatasetBoundGenotypeRDD extends GenotypeRDD with DatasetBoundGenomicDataset[Genotype, Genotype, GenotypeRDD] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, DatasetBoundGenomicDataset[Genotype, Genotype, GenotypeRDD], GenotypeRDD, VCFSupportingGenomicDataset[Genotype, Genotype, GenotypeRDD], MultisampleAvroGenomicDataset[Genotype, Genotype, GenotypeRDD], MultisampleGenomicDataset[Genotype, Genotype, GenotypeRDD], AvroGenomicDataset[Genotype, Genotype, GenotypeRDD], GenomicDataset[Genotype, Genotype, GenotypeRDD], Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DatasetBoundGenotypeRDD
2. Serializable
3. Serializable
4. Product
5. Equals
6. DatasetBoundGenomicDataset
7. GenotypeRDD
8. VCFSupportingGenomicDataset
9. MultisampleAvroGenomicDataset
10. MultisampleGenomicDataset
11. AvroGenomicDataset
12. GenomicDataset
13. Logging
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addAllAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

   Adds a VCF header line describing an 'R' array format field.

   Adds a VCF header line describing an 'R' array format field.

   This adds a format field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

5. #### def addAllAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

   Adds a VCF header line describing an 'R' array info field.

   Adds a VCF header line describing an 'R' array info field.

   This adds a info field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

6. #### def addAlternateAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

   Adds a VCF header line describing an 'A' array format field.

   Adds a VCF header line describing an 'A' array format field.

   This adds a format field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

7. #### def addAlternateAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

   Adds a VCF header line describing an 'A' array info field.

   Adds a VCF header line describing an 'A' array info field.

   This adds a info field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

8. #### def addFilterHeaderLine(id: String, description: String): GenotypeRDD

   Adds a VCF header line describing a variant/genotype filter.

   Adds a VCF header line describing a variant/genotype filter.

   id

     The identifier for the filter.

   description

     A description of the filter.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

9. #### def addFixedArrayFormatHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): GenotypeRDD

   Adds a VCF header line describing an array format field, with fixed count.

   Adds a VCF header line describing an array format field, with fixed count.

   Java friendly variant.

   id

     The identifier for the field.

   count

     The number of elements in the array.

   lineType

     The type of the data stored in this format field.

   description

     A description of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

10. #### def addFixedArrayFormatHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): GenotypeRDD

    Adds a VCF header line describing an array format field, with fixed count.

    Adds a VCF header line describing an array format field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

11. #### def addFixedArrayInfoHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): GenotypeRDD

    Adds a VCF header line describing an array info field, with fixed count.

    Adds a VCF header line describing an array info field, with fixed count.

    Java friendly variant.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    lineType

      The type of the data stored in this info field.

    description

      A description of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

12. #### def addFixedArrayInfoHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): GenotypeRDD

    Adds a VCF header line describing an array info field, with fixed count.

    Adds a VCF header line describing an array info field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

13. #### def addGenotypeArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

    Adds a VCF header line describing an 'G' array format field.

    Adds a VCF header line describing an 'G' array format field.

    This adds a format field that is an array whose length is equal to the number of genotypes for the genotype we are annotating.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

14. #### def addHeaderLine(headerLineToAdd: VCFHeaderLine): GenotypeRDD

    Appends a new header line to the existing lines.

    Appends a new header line to the existing lines.

    headerLineToAdd

      A header line to add.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

15. #### def addHeaderLines(headerLinesToAdd: Seq[VCFHeaderLine]): GenotypeRDD

    Appends new header lines to the existing lines.

    Appends new header lines to the existing lines.

    headerLinesToAdd

      Zero or more header lines to add.

    returns

      A new RDD with the new header lines added.

    Definition Classes
      VCFSupportingGenomicDataset

16. #### def addSample(sampleToAdd: Sample): GenotypeRDD

    Adds a single sample to the current RDD.

    Adds a single sample to the current RDD.

    sampleToAdd

      A single sample to add.

    returns

      Returns a new RDD with this sample added.

    Definition Classes
      MultisampleGenomicDataset

17. #### def addSamples(samplesToAdd: Iterable[Sample]): GenotypeRDD

    Adds samples to the current RDD.

    Adds samples to the current RDD.

    samplesToAdd

      Zero or more samples to add.

    returns

      Returns a new RDD with samples added.

    Definition Classes
      MultisampleGenomicDataset

18. #### def addScalarFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

    Adds a VCF header line describing a scalar format field.

    Adds a VCF header line describing a scalar format field.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

19. #### def addScalarInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeRDD

    Adds a VCF header line describing a scalar info field.

    Adds a VCF header line describing a scalar info field.

    id

      The identifier for the field.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

20. #### def addSequence(sequenceToAdd: SequenceRecord): GenotypeRDD

    Appends metadata for a single sequence to the current RDD.

    Appends metadata for a single sequence to the current RDD.

    sequenceToAdd

      The sequence to add.

    returns

      Returns a new GenomicDataset with this sequence appended.

    Definition Classes
      GenomicDataset

21. #### def addSequences(sequencesToAdd: SequenceDictionary): GenotypeRDD

    Appends sequence metadata to the current RDD.

    Appends sequence metadata to the current RDD.

    sequencesToAdd

      The new sequences to append.

    returns

      Returns a new GenomicDataset with the sequences appended.

    Definition Classes
      GenomicDataset

22. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

23. #### def broadcast()(implicit tTag: ClassTag[Genotype]): GenomicBroadcast[Genotype, Genotype, GenotypeRDD]

    Definition Classes
      GenomicDataset

24. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

25. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

26. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. Python/Java friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset

27. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset

28. #### def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Genotype)]): GenericGenomicDataset[(X, Genotype), (Y, Genotype)]

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

29. #### def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Genotype)]): GenericGenomicDataset[(Iterable[X], Genotype), (Seq[Y], Genotype)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

30. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

31. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

32. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

33. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

34. #### def buildTree(rdd: RDD[(ReferenceRegion, Genotype)])(implicit tTag: ClassTag[Genotype]): IntervalArray[ReferenceRegion, Genotype]

    Attributes
      protected
    Definition Classes
      GenotypeRDD → GenomicDataset

35. #### def cache(): GenotypeRDD

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset

36. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def copyVariantEndToAttribute(): GenotypeRDD

    Copy variant end to a variant attribute (VCF INFO field "END").

    Copy variant end to a variant attribute (VCF INFO field "END").

    returns

      GenotypeRDD with variant end copied to a variant attribute.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

38. #### val dataset: Dataset[Genotype]

    These data as a Spark SQL Dataset.

    These data as a Spark SQL Dataset.

    Definition Classes
      DatasetBoundGenotypeRDD → GenomicDataset

39. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

40. #### def filterByAlternateReadDepth(minimumAlternateReadDepth: Int): GenotypeRDD

    Filter this GenotypeRDD by alternate read depth (VCF FORMAT field "AD").

    Filter this GenotypeRDD by alternate read depth (VCF FORMAT field "AD").

    minimumAlternateReadDepth

      Minimum alternate read depth to filter by, inclusive.

    returns

      GenotypeRDD filtered by alternate read depth.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

41. #### def filterByOverlappingRegion(query: ReferenceRegion): GenotypeRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset

42. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): GenotypeRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset

43. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): GenotypeRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions. Java friendly version.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset

44. #### def filterByQuality(minimumQuality: Double): GenotypeRDD

    Filter this GenotypeRDD by quality (VCF FORMAT field "GQ").

    Filter this GenotypeRDD by quality (VCF FORMAT field "GQ").

    minimumQuality

      Minimum quality to filter by, inclusive.

    returns

      GenotypeRDD filtered by quality.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

45. #### def filterByReadDepth(minimumReadDepth: Int): GenotypeRDD

    Filter this GenotypeRDD by read depth (VCF FORMAT field "DP").

    Filter this GenotypeRDD by read depth (VCF FORMAT field "DP").

    minimumReadDepth

      Minimum read depth to filter by, inclusive.

    returns

      GenotypeRDD filtered by read depth.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

46. #### def filterByReferenceReadDepth(minimumReferenceReadDepth: Int): GenotypeRDD

    Filter this GenotypeRDD by reference read depth (VCF FORMAT field "AD").

    Filter this GenotypeRDD by reference read depth (VCF FORMAT field "AD").

    minimumReferenceReadDepth

      Minimum reference read depth to filter by, inclusive.

    returns

      GenotypeRDD filtered by reference read depth.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

47. #### def filterNoCalls(): GenotypeRDD

    Filter genotypes containing NO_CALL alleles from this GenotypeRDD.

    Filter genotypes containing NO_CALL alleles from this GenotypeRDD.

    returns

      GenotypeRDD filtered to remove genotypes containing NO_CALL alleles.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

48. #### def filterToFiltersPassed(): GenotypeRDD

    Filter this GenotypeRDD to genotype filters passed (VCF FORMAT field "FT" value PASS).

    Filter this GenotypeRDD to genotype filters passed (VCF FORMAT field "FT" value PASS).

    returns

      GenotypeRDD filtered to genotype filters passed.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

49. #### def filterToSample(sampleId: String): GenotypeRDD

    Filter this GenotypeRDD by sample to those that match the specified sample.

    Filter this GenotypeRDD by sample to those that match the specified sample.

    sampleId

      Sample to filter by. return GenotypeRDD filtered by sample.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

50. #### def filterToSamples(sampleIds: Seq[String]): GenotypeRDD

    Filter this GenotypeRDD by sample to those that match the specified samples.

    Filter this GenotypeRDD by sample to those that match the specified samples.

    sampleIds

      Sequence of samples to filter by. return GenotypeRDD filtered by one or more samples.

    Definition Classes
      DatasetBoundGenotypeRDD → GenotypeRDD

51. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

52. #### def flattenRddByRegions(): RDD[(ReferenceRegion, Genotype)]

    Attributes
      protected
    Definition Classes
      GenomicDataset

53. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Genotype], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Option[Y])]): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

54. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Genotype], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Option[Y])]): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

55. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

56. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

57. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

58. #### def getReferenceRegions(elem: Genotype): Seq[ReferenceRegion]

    elem

      The genotype to get a reference region for.

    returns

      Returns the singular region this genotype covers.

    Attributes
      protected
    Definition Classes
      GenotypeRDD → GenomicDataset

59. #### val headerLines: Seq[VCFHeaderLine]

    Definition Classes
      DatasetBoundGenotypeRDD → VCFSupportingGenomicDataset

60. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

61. #### val isPartitioned: Boolean

    Definition Classes
      DatasetBoundGenotypeRDD → DatasetBoundGenomicDataset

62. #### def isSorted: Boolean

    Definition Classes
      GenomicDataset

63. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

64. #### lazy val jrdd: JavaRDD[Genotype]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset

65. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Option[Y])]): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

66. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Option[Y])]): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

67. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

68. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

69. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

70. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

71. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

72. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

73. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

74. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

75. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

76. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

77. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

78. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

79. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

80. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

81. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

82. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

83. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

84. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

85. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

86. #### final def notify(): Unit

    Definition Classes
      AnyRef

87. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

88. #### val optLookbackPartitions: Option[Int]

    Definition Classes
      DatasetBoundGenotypeRDD → DatasetBoundGenomicDataset

89. #### val optPartitionBinSize: Option[Int]

    Definition Classes
      DatasetBoundGenotypeRDD → DatasetBoundGenomicDataset

90. #### lazy val optPartitionMap: None.type

    Attributes
      protected
    Definition Classes
      DatasetBoundGenotypeRDD → GenomicDataset

91. #### def persist(sl: StorageLevel): GenotypeRDD

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset

92. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeRDD, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[GenotypeRDD, RDD[X], Z]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Java/PySpark friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

93. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeRDD, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[GenotypeRDD, RDD[X], Z]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    SparkR friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

94. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeRDD, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Genotype, Genotype, GenotypeRDD, W], xFormatter: OutFormatter[X], convFn: (GenotypeRDD, RDD[X]) ⇒ Z, tManifest: ClassTag[Genotype], xManifest: ClassTag[X]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

95. #### val productFn: (Genotype) ⇒ Genotype

    Attributes
      protected
    Definition Classes
      GenotypeRDD → GenomicDataset

96. #### lazy val rdd: RDD[Genotype]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      DatasetBoundGenotypeRDD → GenomicDataset

97. #### def replaceHeaderLines(newHeaderLines: Seq[VCFHeaderLine]): GenotypeRDD

    Replaces the header lines attached to this RDD.

    Replaces the header lines attached to this RDD.

    newHeaderLines

      The new header lines to attach to this RDD.

    returns

      A new RDD with the header lines replaced.

    Definition Classes
      DatasetBoundGenotypeRDD → VCFSupportingGenomicDataset

98. #### def replaceRdd(newRdd: RDD[Genotype], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): GenotypeRDD

    newRdd

      An RDD to replace the underlying RDD with.

    returns

      Returns a new GenotypeRDD with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      GenotypeRDD → GenomicDataset

99. #### def replaceSamples(newSamples: Iterable[Sample]): GenotypeRDD

    Replaces the sample metadata attached to the RDD.

    Replaces the sample metadata attached to the RDD.

    newSamples

      The new sample metadata to attach.

    returns

      A GenomicDataset with new sample metadata.

    Definition Classes
      DatasetBoundGenotypeRDD → MultisampleGenomicDataset

100. #### def replaceSequences(newSequences: SequenceDictionary): GenotypeRDD

     Replaces the sequence dictionary attached to a GenomicDataset.

     Replaces the sequence dictionary attached to a GenomicDataset.

     newSequences

       The new sequence dictionary to attach.

     returns

       Returns a new GenomicDataset with the sequences replaced.

     Definition Classes
       DatasetBoundGenotypeRDD → GenomicDataset

101. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

102. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

103. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly version.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

104. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly version.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

105. #### def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Genotype)]): GenericGenomicDataset[(Option[X], Genotype), (Option[Y], Genotype)]

     Performs a broadcast right outer join between this RDD and data that has been broadcast.

     Performs a broadcast right outer join between this RDD and data that has been broadcast.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoin

106. #### def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Genotype)]): GenericGenomicDataset[(Iterable[X], Genotype), (Seq[Y], Genotype)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoinAndGroupByRight

107. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

108. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

109. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

110. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

111. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

112. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

113. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

114. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

115. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otixTag: ClassTag[(Option[Genotype], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Seq[Y])]): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

116. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otixTag: ClassTag[(Option[Genotype], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Seq[Y])]): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

117. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

118. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

119. #### val samples: Seq[Sample]

     The samples who have data contained in this GenomicDataset.

     The samples who have data contained in this GenomicDataset.

     Definition Classes
       DatasetBoundGenotypeRDD → MultisampleGenomicDataset

120. #### def saveAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       DatasetBoundGenotypeRDD → AvroGenomicDataset → GenomicDataset

121. #### def saveAsParquet(pathName: String): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     pathName

       The path to save the file to.

     Definition Classes
       AvroGenomicDataset

122. #### def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset

123. #### def saveAsParquet(args: SaveArgs): Unit

     Saves an RDD to Parquet.

     Saves an RDD to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset

124. #### def saveAsPartitionedParquet(pathName: String, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset

125. #### def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset

126. #### def saveMetadata(filePath: String): Unit

     Writes any necessary metadata to disk.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     Attributes
       protected
     Definition Classes
       GenotypeRDD → MultisampleAvroGenomicDataset → AvroGenomicDataset → GenomicDataset

127. #### def savePartitionMap(filePath: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     filePath

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

128. #### def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves an RDD of Avro data to Parquet.

     Saves an RDD of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

129. #### def saveRddAsParquet(args: SaveArgs): Unit

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

130. #### def saveSamples(pathName: String): Unit

     Save the samples to disk.

     Save the samples to disk.

     pathName

       The path to save samples to.

     Attributes
       protected
     Definition Classes
       MultisampleGenomicDataset

131. #### def saveSequences(pathName: String): Unit

     Save the sequence dictionary to disk.

     Save the sequence dictionary to disk.

     pathName

       The path to save the sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset

132. #### def saveVcfHeaders(filePath: String): Unit

     Save the VCF headers to disk.

     Save the VCF headers to disk.

     filePath

       The filepath to the file where we will save the VCF headers.

     Definition Classes
       GenotypeRDD

133. #### val sequences: SequenceDictionary

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     Definition Classes
       DatasetBoundGenotypeRDD → GenomicDataset

134. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

135. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

136. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

137. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

138. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], tixTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

     Definition Classes
       GenomicDataset

139. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], tixTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

     Definition Classes
       GenomicDataset

140. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD.

     Definition Classes
       GenomicDataset

141. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD.

     Definition Classes
       GenomicDataset

142. #### def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Genotype]): GenotypeRDD

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     partitions

       The number of partitions for the new RDD.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

143. #### def sort(): GenotypeRDD

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

144. #### def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Genotype]): GenotypeRDD

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     partitions

       The number of partitions for the new RDD.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting RDD.

     storageLevel

       The level at which to persist the resulting RDD.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

145. #### def sortLexicographically(): GenotypeRDD

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

146. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

147. #### def toDF(): DataFrame

     returns

       This data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset

148. #### def toString(): String

     Definition Classes
       MultisampleGenomicDataset → GenomicDataset → AnyRef → Any

149. #### def toVariantContexts(): VariantContextRDD

     returns

       Returns this GenotypeRDD squared off as a VariantContextRDD.

     Definition Classes
       GenotypeRDD

150. #### def toVariants(dedupe: Boolean): VariantRDD

     Extracts the variants contained in this RDD of genotypes.

     Extracts the variants contained in this RDD of genotypes.

     Does not perform any filtering looking at whether the variant was called or not.

     dedupe

       If true, drops variants described in more than one genotype record.

     returns

       Returns the variants described by this GenotypeRDD.

     Definition Classes
       GenotypeRDD

151. #### def toVariants(): VariantRDD

     Extracts the variants contained in this RDD of genotypes.

     Extracts the variants contained in this RDD of genotypes.

     Does not perform any filtering looking at whether the variant was called or not. Does not dedupe the variants.

     returns

       Returns the variants described by this GenotypeRDD.

     Definition Classes
       GenotypeRDD

152. #### def transform(tFn: Function[JavaRDD[Genotype], JavaRDD[Genotype]]): GenotypeRDD

     Applies a function that transforms the underlying RDD into a new RDD.

     Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

153. #### def transform(tFn: (RDD[Genotype]) ⇒ RDD[Genotype]): GenotypeRDD

     Applies a function that transforms the underlying RDD into a new RDD.

     Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

154. #### def transformDataFrame(tFn: Function[DataFrame, DataFrame]): GenotypeRDD

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API. Java-friendly variant.

     tFn

       A function that transforms the underlying RDD as a DataFrame.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

155. #### def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Genotype]): GenotypeRDD

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying RDD as a DataFrame.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

156. #### def transformDataset(tFn: (Dataset[Genotype]) ⇒ Dataset[Genotype]): GenotypeRDD

     Applies a function that transforms the underlying RDD into a new RDD using the Spark SQL API.

     Applies a function that transforms the underlying RDD into a new RDD using the Spark SQL API.

     tFn

       A function that transforms the underlying RDD as a Dataset.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

     Definition Classes
       DatasetBoundGenotypeRDD → GenotypeRDD → GenomicDataset

157. #### def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Genotype], JavaRDD[X]], convFn: Function2[GenotypeRDD, RDD[X], Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly version.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

158. #### def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Genotype]) ⇒ RDD[X])(implicit convFn: (GenotypeRDD, RDD[X]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

159. #### def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Genotype, Genotype, GenotypeRDD, X, Y, Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

160. #### def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (GenotypeRDD, Dataset[Y]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

161. #### def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Genotype], Dataset[Y]], convFn: GenomicDatasetConversion[Genotype, Genotype, GenotypeRDD, X, Y, Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

162. #### def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Genotype]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (GenotypeRDD, Dataset[Y]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

163. #### val uTag: scala.reflect.api.JavaUniverse.TypeTag[Genotype]

     Definition Classes
       GenotypeRDD → GenomicDataset

164. #### def union(rdds: GenotypeRDD*): GenotypeRDD

     Unions together multiple genomic RDDs.

     Unions together multiple genomic RDDs.

     rdds

       RDDs to union with this RDD.

     Definition Classes
       GenotypeRDD → GenomicDataset

165. #### def union(rdds: List[GenotypeRDD]): GenotypeRDD

     Unions together multiple genomic RDDs.

     Unions together multiple genomic RDDs.

     rdds

       RDDs to union with this RDD.

     Definition Classes
       GenomicDataset

166. #### def unpersist(): GenotypeRDD

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       DatasetBoundGenomicDataset → GenomicDataset

167. #### val unproductFn: (Genotype) ⇒ Genotype

     Attributes
       protected
     Definition Classes
       GenotypeRDD → GenomicDataset

168. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

169. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

170. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

171. #### def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DatasetBoundGenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from GenotypeRDD

### Inherited from VCFSupportingGenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from MultisampleAvroGenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from MultisampleGenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from AvroGenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from GenomicDataset[Genotype, Genotype, GenotypeRDD]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped